/* runcap - run program and capture its output
   Copyright (C) 2017 Sergey Poznyakoff

   Runcap is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 3 of the License, or (at your
   option) any later version.

   Runcap is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with Runcap. If not, see <http://www.gnu.org/licenses/>. */

#include <sys/types.h>
#include <unistd.h>
#include <errno.h>
#include "runcap.h"

off_t
runcap_tell(struct runcap *rc, int stream)
{
	struct filecapture *fp;
	off_t off;
	
	fp = runcap_filecapture(rc, stream);
	if (!fp)
		return -1;

	if (fp->fc_tmpfd != -1) {
		off = lseek(fp->fc_tmpfd, 0, SEEK_CUR);
		if (off == -1)
			return -1;
	} else
		off = 0;

	return off + fp->fc_linestart;
}

